summaryrefslogtreecommitdiffstats
path: root/debian/hyperv-daemons.preinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/hyperv-daemons.preinst')
-rw-r--r--debian/hyperv-daemons.preinst17
1 files changed, 17 insertions, 0 deletions
diff --git a/debian/hyperv-daemons.preinst b/debian/hyperv-daemons.preinst
new file mode 100644
index 000000000..5810d2946
--- /dev/null
+++ b/debian/hyperv-daemons.preinst
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -e
+
+if [ "$1" = "upgrade" ]; then
+ for i in fcopy kvp vss; do
+ if [ -d /run/systemd/system ]; then
+ systemctl stop hyperv-daemons.hv-$i-daemon.service 2>/dev/null || true
+ fi
+ deb-systemd-helper purge hyperv-daemons.hv-$i-daemon.service || true
+ invoke-rc.d --skip-systemd-native hyperv-daemons.hv-$i-daemon stop || true
+ update-rc.d hyperv-daemons.hv-$i-daemon remove || true
+ done
+fi
+
+#DEBHELPER#
+
+exit 0